edu.msu.cme.rdp.classifier.comparison

## Class ComparisonCmd

- java.lang.Object
- - edu.msu.cme.rdp.classifier.comparison.ComparisonCmd

    public class ComparisonCmd
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `COMPARE_OUTFILE_DESC`
`static java.lang.String` `COMPARE_OUTFILE_LONG_OPT`
`static java.lang.String` `COMPARE_OUTFILE_SHORT_OPT`
`static java.lang.String` `QUERYFILE_DESC`
`static java.lang.String` `QUERYFILE1_LONG_OPT`
`static java.lang.String` `QUERYFILE1_SHORT_OPT`
`static java.lang.String` `QUERYFILE2_LONG_OPT`
`static java.lang.String` `QUERYFILE2_SHORT_OPT`

### Constructor Summary

Constructors
Constructor and Description
`ComparisonCmd(java.lang.String propfile, java.lang.String gene)` Creates a new Manager

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `doClassify(java.lang.String s1, java.lang.String s2, java.lang.String detailFile, java.lang.String sigFile, ClassificationResultFormatter.FORMAT format)` given the parser and root, calls the tester to do the classification
`static void` `main(java.lang.String[] args)`
`static void` `printLicense()` Prints the license information to std err.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QUERYFILE1_LONG_OPT

    public static final java.lang.String QUERYFILE1_LONG_OPT

See Also:
  Constant Field Values

#### QUERYFILE2_LONG_OPT

    public static final java.lang.String QUERYFILE2_LONG_OPT

See Also:
  Constant Field Values

#### COMPARE_OUTFILE_LONG_OPT

    public static final java.lang.String COMPARE_OUTFILE_LONG_OPT

See Also:
  Constant Field Values

#### QUERYFILE1_SHORT_OPT

    public static final java.lang.String QUERYFILE1_SHORT_OPT

See Also:
  Constant Field Values

#### QUERYFILE2_SHORT_OPT

    public static final java.lang.String QUERYFILE2_SHORT_OPT

See Also:
  Constant Field Values

#### COMPARE_OUTFILE_SHORT_OPT

    public static final java.lang.String COMPARE_OUTFILE_SHORT_OPT

See Also:
  Constant Field Values

#### QUERYFILE_DESC

    public static final java.lang.String QUERYFILE_DESC

See Also:
  Constant Field Values

#### COMPARE_OUTFILE_DESC

    public static final java.lang.String COMPARE_OUTFILE_DESC

See Also:
  Constant Field Values

### Constructor Detail

#### ComparisonCmd

    public ComparisonCmd(java.lang.String propfile,
                         java.lang.String gene)
                  throws java.io.IOException,
                         TrainingDataException

Creates a new Manager

Throws:
  `java.io.IOException`
  `TrainingDataException`

### Method Detail

#### doClassify

    public void doClassify(java.lang.String s1,
                           java.lang.String s2,
                           java.lang.String detailFile,
                           java.lang.String sigFile,
                           ClassificationResultFormatter.FORMAT format)
                    throws java.io.IOException

given the parser and root, calls the tester to do the classification

Throws:
  `java.io.IOException`

#### printLicense

    public static void printLicense()

Prints the license information to std err.

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`